> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fine Tuning Job

> ### Description
Gets the details of a fine tuning job

### Details
This API can be used to get information about a single fine tuning job by ID. To use this API, pass in the `id` that was returned from your Create Fine Tuning Job API call as a path parameter.

Review the response schema to see the fields that will be returned.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml get /v4/fine-tuning-jobs/{fine_tuning_job_id}
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/fine-tuning-jobs/{fine_tuning_job_id}:
    get:
      tags:
        - Fine Tuning Jobs V3 (Beta)
      summary: Get Fine Tuning Job
      description: >-
        ### Description

        Gets the details of a fine tuning job


        ### Details

        This API can be used to get information about a single fine tuning job
        by ID. To use this API, pass in the `id` that was returned from your
        Create Fine Tuning Job API call as a path parameter.


        Review the response schema to see the fields that will be returned.
      operationId: GET-V4-/fine-tuning-jobs/{fine_tuning_job_id}
      parameters:
        - name: fine_tuning_job_id
          in: path
          required: true
          schema:
            type: string
            title: Fine Tuning Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FineTuningJobResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from scale_gp import SGPClient

            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )
            fine_tuning_job = client.fine_tuning_jobs.retrieve(
                "fine_tuning_job_id",
            )
            print(fine_tuning_job.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tfineTuningJob, err := client.FineTuningJobs.Get(context.TODO(), \"fine_tuning_job_id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", fineTuningJob.ID)\n}\n"
components:
  schemas:
    FineTuningJobResponse:
      properties:
        base_model_id:
          title: Base Model Id
          type: string
        vendor_configuration:
          $ref: '#/components/schemas/FineTuningJobVendorConfiguration'
        fine_tuned_model_id:
          title: Fine Tuned Model Id
          type: string
        training_dataset_id:
          type: string
          title: Training Dataset Id
        validation_dataset_id:
          title: Validation Dataset Id
          type: string
        status:
          $ref: '#/components/schemas/FineTuningJobStatus'
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        account_id:
          type: string
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
      type: object
      required:
        - training_dataset_id
        - status
        - id
        - created_at
        - account_id
        - created_by_user_id
        - created_by_identity_type
      title: FineTuningJobResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FineTuningJobVendorConfiguration:
      oneOf:
        - $ref: '#/components/schemas/LaunchFineTuningJobConfiguration'
        - $ref: '#/components/schemas/LLMEngineFineTuningJobConfiguration'
        - $ref: '#/components/schemas/OpenAIFineTuningJobConfiguration'
      title: FineTuningJobVendorConfiguration
      discriminator:
        propertyName: vendor
        mapping:
          LAUNCH:
            $ref: '#/components/schemas/LaunchFineTuningJobConfiguration'
          LLMENGINE:
            $ref: '#/components/schemas/LLMEngineFineTuningJobConfiguration'
          OPENAI:
            $ref: '#/components/schemas/OpenAIFineTuningJobConfiguration'
    FineTuningJobStatus:
      type: string
      enum:
        - PENDING
        - COMPLETED
        - FAILED
        - RUNNING
        - CANCELED
      title: FineTuningJobStatus
    IdentifierTypeEnum:
      type: string
      enum:
        - user
        - service_account
      title: IdentifierTypeEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    LaunchFineTuningJobConfiguration:
      properties:
        vendor:
          type: string
          const: LAUNCH
          title: Vendor
          default: LAUNCH
        hyperparameters:
          title: Hyperparameters
          additionalProperties: true
          type: object
        wandb_config:
          title: Wandb Config
          additionalProperties: true
          type: object
        suffix:
          title: Suffix
          type: string
        output:
          title: Output
          type: string
      type: object
      title: LaunchFineTuningJobConfiguration
    LLMEngineFineTuningJobConfiguration:
      properties:
        vendor:
          type: string
          const: LLMENGINE
          title: Vendor
          default: LLMENGINE
        hyperparameters:
          title: Hyperparameters
          additionalProperties: true
          type: object
        wandb_config:
          title: Wandb Config
          additionalProperties: true
          type: object
        suffix:
          title: Suffix
          type: string
        output:
          title: Output
          type: string
      type: object
      title: LLMEngineFineTuningJobConfiguration
    OpenAIFineTuningJobConfiguration:
      properties:
        vendor:
          type: string
          const: OPENAI
          title: Vendor
          default: OPENAI
        hyperparameters:
          title: Hyperparameters
          additionalProperties: true
          type: object
        suffix:
          title: Suffix
          type: string
      type: object
      title: OpenAIFineTuningJobConfiguration

````